Bug 1194330 (kate4) - Review Request: kate4 - Advanced Text Editor for KDE4
Summary: Review Request: kate4 - Advanced Text Editor for KDE4
Keywords:
Status: CLOSED ERRATA
Alias: kate4
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: kate5 (view as bug list)
Depends On:
Blocks: kde-reviews plasma5
TreeView+ depends on / blocked
 
Reported: 2015-02-19 14:56 UTC by Rex Dieter
Modified: 2015-03-29 04:44 UTC (History)
3 users (show)

Fixed In Version: kate4-4.14.3-11.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-29 04:44:33 UTC
projects.rg: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2015-02-19 14:56:34 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/plasma5/kate4.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/plasma5/kate4-4.14.3-10.fc20.src.rpm
Description: Advanced Text Editor
Fedora Account System Username: rdieter

kde4 kate bits still needed after upgrading to kf5 kate and plasma5.  Those bits currently only include: kate4-part  (used by various other kde4 applications, including kmail, kompare, kig, etc...)

Comment 1 Rex Dieter 2015-02-19 14:57:10 UTC
*** Bug 1188372 has been marked as a duplicate of this bug. ***

Comment 2 Rex Dieter 2015-02-19 14:59:33 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8996232

Comment 3 Raphael Groner 2015-02-24 17:54:46 UTC
SHOULD: Please fill %description with more content. Maybe explain that this is a downgrade from kate5 to be usable with legacy kde4, and it therefore enforces some more dependencies with kdelibs4.

SHOULD: License should be GPLv2 only, as we merge all three LGPLv2 LGPLv2+ and GPLv2+. But better ask at legal and it's up to you how to handle it.

SHOULD: Why is there no license text in %files ?

I could do also the fedora-review if you may wish.

Comment 4 Rex Dieter 2015-02-25 19:29:04 UTC
As far as license files, we have one already, did you miss?

%files part
%doc COPYING.LIB
?


Spec URL: https://rdieter.fedorapeople.org/rpms/plasma5/kate4.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/plasma5/kate4-4.14.3-11.fc20.src.rpm


%changelog
* Wed Feb 25 2015 Rex Dieter <rdieter@fedoraproject.org> 4.14.3-11
- improve pkg %%summary, %%description

Comment 5 Rex Dieter 2015-02-25 19:29:35 UTC
(and if you want to help finish the review, set the fedora-review flag to ?)

Comment 6 Raphael Groner 2015-02-26 21:38:25 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.
- update-desktop-database is invoked in %post and %postun if package contains
  desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in kate4-part
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[?]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
===> /usr/lib64/kde4/katepart.so is unversioned, is that okay?
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "LGPL (v2)", "*No copyright* LGPL (v2 or later)", "LGPL (v2 or
     later)", "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated", "LGPL (v2 or later) (with incorrect FSF address)", "*No
     copyright* LGPL (v2)", "LGPL", "LGPL (v3 or later)", "*No copyright* GPL
     (v2 or later)". 680 files have unknown license. Detailed output of
     licensecheck in /home/builder/fedora-
     review/1194330-kate4/licensecheck.txt
===> There are a lot of files without any embedded license text. Please check them carefully.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/kde4/apps/katepart/script/libraries/emmet(kate-part),
     /usr/share/kde4/apps/katepart/script/libraries(kate-part),
     /usr/share/kde4/apps/katepart/script(kate-part),
     /usr/share/kde4/apps/katepart/syntax(kate-part, kalgebra),
     /usr/share/kde4/apps/katepart/script/files/quickcoding/cpp(kate-part),
     /usr/share/kde4/apps/katepart/script/commands(kate-part),
     /usr/share/kde4/apps/katepart(kate-part, kalgebra),
     /usr/share/kde4/apps/katepart/script/indentation(kate-part),
     /usr/share/kde4/apps/katepart/script/files(kate-part),
     /usr/share/kde4/apps/katepart/script/files/quickcoding(kate-part)
===> Should be okay cause of Provides: kate*, Conflicts: kdelibs* and Obsoletes: kate-part
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
===> Should be okay, cause it is a compat package.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
===> Not tried. Did you do a koji scratch build for rawhide?
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define obsoletes_evr 4.14.3-10
===> Please correct that and use %global instead.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 6000640 bytes in /usr/share
===> Please create a subpackage kate4-data for those files living in %{_datadir} .
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kate4-part-4.14.3-11.fc23.x86_64.rpm
          kate4-4.14.3-11.fc23.src.rpm
kate4-part.x86_64: W: spelling-error Summary(en_US) kpart -> kart, part, apart
kate4-part.x86_64: W: spelling-error %description -l en_US kpart -> kart, part, apart
===> Okay. Obviously false positives.
kate4-part.x86_64: E: incorrect-fsf-address /usr/share/kde4/apps/katepart/script/indentation/lilypond.js
===> Did you report that to upstream?

2 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
===> ??

Requires
--------
kate4-part (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtScript.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libkatepartinterfaces.so.4()(64bit)
    libkcmutils.so.4()(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkio.so.5()(64bit)
    libknewstuff3.so.4()(64bit)
    libkparts.so.4()(64bit)
    libktexteditor.so.4()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
kate4-part:
    kate-part
    kate-part(x86-64)
    kate4-part
    kate4-part(x86-64)
    libkatepartinterfaces.so.4()(64bit)



Unversioned so-files
--------------------
kate4-part: /usr/lib64/kde4/katepart.so
===> Why is that without version? Could it interfere somehow with kate?


Source checksums
----------------
http://download.kde.org/stable/4.14.3/src/kate-4.14.3.tar.xz :
  CHECKSUM(SHA256) this package     : 513d4ae2c36fa6b59caf3b2b685e3ea1167093d16025859cfac90d75617e707d
  CHECKSUM(SHA256) upstream package : 513d4ae2c36fa6b59caf3b2b685e3ea1167093d16025859cfac90d75617e707d


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -o=--yum --clean -b 1194330
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 7 Rex Dieter 2015-03-06 16:33:47 UTC
It's not clear to me if there were any review blockers in the previous comment, can you clarify?

Comment 8 Raphael Groner 2015-03-06 20:18:53 UTC
Sorry for the confusion with the SHOULD issues.

If you are 100% sure with the license thing, this package is APPROVED.

Comment 9 Rex Dieter 2015-03-06 20:34:42 UTC
New Package SCM Request
=======================
Package Name: kate4
Short Description: Advanced Text Editor for KDE4
Upstream URL: https://projects.kde.org/projects/kde/applications/kate
Owners: group::kde-sig rdieter
Branches: f22
InitialCC:

Comment 10 Gwyn Ciesla 2015-03-09 02:38:21 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2015-03-09 14:27:13 UTC
kate4-4.14.3-11.fc22,kate-14.12.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kate4-4.14.3-11.fc22,kate-14.12.3-1.fc22

Comment 12 Fedora Update System 2015-03-13 16:59:55 UTC
Package kate4-4.14.3-11.fc22, kate-14.12.3-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kate4-4.14.3-11.fc22 kate-14.12.3-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3631/kate4-4.14.3-11.fc22,kate-14.12.3-1.fc22
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2015-03-29 04:44:33 UTC
kate4-4.14.3-11.fc22, kate-14.12.3-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.